commit dc4aa4641fcf2a41676c425e556ef02306f1e428
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Mon Oct 17 12:59:43 2016 +0200

    ref #5458 Layout for settings windows

diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/dbstatus/DistributionSettingsConfigWindow.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/dbstatus/DistributionSettingsConfigWindow.java
index 074eb07c..f034d0fe 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/dbstatus/DistributionSettingsConfigWindow.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/dbstatus/DistributionSettingsConfigWindow.java
@@ -40,7 +40,7 @@ import eu.etaxonomy.cdm.vaadin.presenter.dbstatus.settings.SettingsPresenter;
 import eu.etaxonomy.cdm.vaadin.util.DistributionEditorUtil;
 
 /**
- * 
+ *
  * @author pplitzner
  *
  */
@@ -64,7 +64,7 @@ public class DistributionSettingsConfigWindow extends CustomComponent implements
      *
      * The constructor will not be automatically regenerated by the
      * visual editor.
-     * @param distributionTableView 
+     * @param distributionTableView
      */
     public DistributionSettingsConfigWindow(DistributionTableView distributionTableView) {
         buildMainLayout();
@@ -75,7 +75,7 @@ public class DistributionSettingsConfigWindow extends CustomComponent implements
     private void init() {
         Container distributionContainer = presenter.getDistributionContainer();
         TermVocabulary<NamedArea> chosenArea = presenter.getChosenArea();
-        
+
         classificationBox.setItemCaptionPropertyId(TaxonNodeContainer.LABEL);
         classificationBox.setContainerDataSource(new TaxonNodeContainer(null));
 		classificationBox.setImmediate(true);
@@ -90,14 +90,14 @@ public class DistributionSettingsConfigWindow extends CustomComponent implements
         distAreaBox.setContainerDataSource(distributionContainer);
         distAreaBox.setValue(chosenArea);
         distAreaBox.addValueChangeListener(this);
-        
+
         if(chosenArea!=null){
         	NamedAreaContainer container = new NamedAreaContainer(chosenArea);
         	namedAreaList.setContainerDataSource(container);
         }
         Object selectedAreas = VaadinSession.getCurrent().getAttribute(DistributionEditorUtil.SATTR_SELECTED_AREAS);
         namedAreaList.setValue(selectedAreas);
-        
+
         okButton.addClickListener(this);
         cancelButton.addClickListener(this);
     }
@@ -122,12 +122,10 @@ public class DistributionSettingsConfigWindow extends CustomComponent implements
 
         VerticalLayout leftContainer = new VerticalLayout();
         leftContainer.setImmediate(false);
-        leftContainer.setSizeFull();
         leftContainer.setSpacing(true);
 
         VerticalLayout rightContainer = new VerticalLayout();
         rightContainer.setImmediate(false);
-        rightContainer.setSizeFull();
         rightContainer.setSpacing(true);
 
         //classification and term
@@ -144,20 +142,24 @@ public class DistributionSettingsConfigWindow extends CustomComponent implements
         namedAreaList = new ListSelect();
         namedAreaList.setCaption("Areas");
         namedAreaList.setWidth("100%");
+        namedAreaList.setSizeFull();
         namedAreaList.setMultiSelect(true);
 
         //taxonomy
         taxonTree = new Tree("Taxonomy");
         taxonTree.setImmediate(false);
-        
+
         //no classification selected label
         labelNoClassification = new Label(" - Please select a classification - ");
 
         leftContainer.addComponent(classificationBox);
+        leftContainer.setExpandRatio(classificationBox, 0.1f);
         leftContainer.addComponent(distAreaBox);
+        leftContainer.setExpandRatio(distAreaBox, 0.1f);
         leftContainer.addComponent(namedAreaList);
+        leftContainer.setExpandRatio(namedAreaList, 0.8f);
         leftContainer.setSizeFull();
-        
+
         rightContainer.addComponent(taxonTree);
         rightContainer.setExpandRatio(taxonTree, 1);
         rightContainer.addComponent(labelNoClassification);
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/dbstatus/SettingsConfigWindow.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/dbstatus/SettingsConfigWindow.java
index b56c412c..32bb9447 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/dbstatus/SettingsConfigWindow.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/dbstatus/SettingsConfigWindow.java
@@ -51,7 +51,7 @@ public class SettingsConfigWindow extends CustomComponent implements ValueChange
      *
      * The constructor will not be automatically regenerated by the
      * visual editor.
-     * @param distributionTableView 
+     * @param distributionTableView
      */
     public SettingsConfigWindow(DistributionTableView distributionTableView) {
     	this.distributionTableView = distributionTableView;
@@ -89,8 +89,9 @@ public class SettingsConfigWindow extends CustomComponent implements ValueChange
         //distribution status
         distStatusSelect = new TwinColSelect("Distribution Status:");
         distStatusSelect.setImmediate(false);
+        distStatusSelect.setSizeFull();
         distStatusSelect.setWidth("100%");
-        
+
         //toggle abbreviated labels
         boxToggleAbbreviatedLabels = new CheckBox("Show abbreviated labels", DistributionEditorUtil.isAbbreviatedLabels());
         boxToggleAbbreviatedLabels.setImmediate(true);