commit cd9d6a5003c3dadc97f822acd1b8134b64c8a076
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Wed Aug 2 17:44:57 2017 +0200

    cleanup

diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/ImageFile.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/ImageFile.java
index 7f39327678..2de12a4013 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/ImageFile.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/media/ImageFile.java
@@ -28,7 +28,6 @@ import eu.etaxonomy.cdm.model.agent.AgentBase;
 
 /**
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:06:28
  */
 @XmlAccessorType(XmlAccessType.FIELD)
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/media/MediaUtilsTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/media/MediaUtilsTest.java
index 4d4f5679ee..d948f0067f 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/media/MediaUtilsTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/media/MediaUtilsTest.java
@@ -58,8 +58,6 @@ public class MediaUtilsTest {
 
         mediaAudio1 = Media.NewInstance();
         mediaAudio1.addRepresentation(bigMP3Representation);
-
-
     }
 
     private Media findMediaByUUID(Collection<Media> mediaList, UUID uuid){
@@ -74,18 +72,19 @@ public class MediaUtilsTest {
     @Test
     public void testFindPreferredMedia(){
 
-        ArrayList<Media> imageList = new ArrayList<Media>();
+        ArrayList<Media> imageList = new ArrayList<>();
         imageList.add(mediaImage1);
         imageList.add(mediaImage2);
         imageList.add(mediaImage3);
 
-        Map<Media, MediaRepresentation> filteredList = MediaUtils.findPreferredMedia(imageList, ImageFile.class, null, null, null, null, null);
+        Map<Media, MediaRepresentation> filteredList = MediaUtils.findPreferredMedia(
+                imageList, ImageFile.class, null, null, null, null, null);
 
         Assert.assertNotNull(findMediaByUUID(filteredList.keySet(), mediaImage1.getUuid()));
         Assert.assertNotNull(findMediaByUUID(filteredList.keySet(), mediaImage2.getUuid()));
         Assert.assertNotNull(findMediaByUUID(filteredList.keySet(), mediaImage3.getUuid()));
 
-        ArrayList<Media> mixedMediaList =  new ArrayList<Media>();
+        ArrayList<Media> mixedMediaList =  new ArrayList<>();
         mixedMediaList.add(mediaImage1);
         mixedMediaList.add(mediaImage2);
         mixedMediaList.add(mediaImage3);
@@ -111,14 +110,16 @@ public class MediaUtilsTest {
 
         String[] mimetypes = {".*"};
 
-        Assert.assertEquals(smallJPGRepresentation, MediaUtils.findBestMatchingRepresentation(mediaImage1, null, null, 200, 300, mimetypes));
-        Assert.assertEquals(bigJPGRepresentation, MediaUtils.findBestMatchingRepresentation(mediaImage1, null, null, 1500, 1500, mimetypes));
+        Assert.assertEquals(smallJPGRepresentation, MediaUtils.findBestMatchingRepresentation(
+                mediaImage1, null, null, 200, 300, mimetypes));
+        Assert.assertEquals(bigJPGRepresentation, MediaUtils.findBestMatchingRepresentation(
+                mediaImage1, null, null, 1500, 1500, mimetypes));
 
-        Assert.assertEquals(smallJPGRepresentation, MediaUtils.findBestMatchingRepresentation(mediaImage1, null, 300, null, null, mimetypes));
-        Assert.assertEquals(bigJPGRepresentation, MediaUtils.findBestMatchingRepresentation(mediaImage1, null, 1500, null, null, mimetypes));
+        Assert.assertEquals(smallJPGRepresentation, MediaUtils.findBestMatchingRepresentation(
+                mediaImage1, null, 300, null, null, mimetypes));
+        Assert.assertEquals(bigJPGRepresentation, MediaUtils.findBestMatchingRepresentation(
+                mediaImage1, null, 1500, null, null, mimetypes));
 
     }
 
-
-
 }
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/hibernate/CdmSecurityHibernateInterceptor.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/hibernate/CdmSecurityHibernateInterceptor.java
index e02b0a5661..aaba08c86f 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/hibernate/CdmSecurityHibernateInterceptor.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/persistence/hibernate/CdmSecurityHibernateInterceptor.java
@@ -89,10 +89,6 @@ public class CdmSecurityHibernateInterceptor extends EmptyInterceptor {
 //        exculdeMap.get(TaxonName.class).add("taxonBases");
     }
 
-
-    /* (non-Javadoc)
-     * @see org.hibernate.EmptyInterceptor#onSave(java.lang.Object, java.io.Serializable, java.lang.Object[], java.lang.String[], org.hibernate.type.Type[])
-     */
     @Override
     public boolean onSave(Object entity, Serializable id, Object[] state, String[] propertyNames, Type[] type) {
 
@@ -105,10 +101,6 @@ public class CdmSecurityHibernateInterceptor extends EmptyInterceptor {
         return true;
     }
 
-
-    /* (non-Javadoc)
-     * @see org.hibernate.EmptyInterceptor#onFlushDirty(java.lang.Object, java.io.Serializable, java.lang.Object[], java.lang.Object[], java.lang.String[], org.hibernate.type.Type[])
-     */
     @Override
     public boolean onFlushDirty(Object entity, Serializable id, Object[] currentState, Object[] previousState, String[] propertyNames, Type[] types) {
 
@@ -140,10 +132,6 @@ public class CdmSecurityHibernateInterceptor extends EmptyInterceptor {
     }
 
 
-
-    /* (non-Javadoc)
-     * @see org.hibernate.EmptyInterceptor#onDelete(java.lang.Object, java.io.Serializable, java.lang.Object[], java.lang.String[], org.hibernate.type.Type[])
-     */
     @Override
     public void onDelete(Object entity, Serializable id, Object[] state, String[] propertyNames, Type[] types) {
 
@@ -257,5 +245,4 @@ public class CdmSecurityHibernateInterceptor extends EmptyInterceptor {
         return propertyIsModified(currentState, previousState, key);
     }
 
-
 }
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ClassificationServiceImpl.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ClassificationServiceImpl.java
index bfbdd39210..4d81cdd4c1 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ClassificationServiceImpl.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/ClassificationServiceImpl.java
@@ -480,12 +480,6 @@ public class ClassificationServiceImpl extends IdentifiableServiceBase<Classific
 
     }
 
-    @Override
-    public Map<UUID, List<MediaRepresentation>> getAllMediaForChildNodes(Taxon taxon, Classification taxTree, List<String> propertyPaths, int size, int height, int widthOrDuration, String[] mimeTypes){
-        TaxonNode node = taxTree.getNode(taxon);
-
-        return getAllMediaForChildNodes(node, propertyPaths, size, height, widthOrDuration, mimeTypes);
-    }
 
     @Override
     @Transactional(readOnly = false)
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IClassificationService.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IClassificationService.java
index c64eceb9d8..2070f9b09e 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IClassificationService.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IClassificationService.java
@@ -203,22 +203,6 @@ public interface IClassificationService extends IIdentifiableEntityService<Class
      */
     public List<UuidAndTitleCache<TaxonNode>> getTaxonNodeUuidAndTitleCacheOfAcceptedTaxaByClassification(Classification classification);
 
-    /**
-     * @param taxon
-     * @param taxTree
-     * @param propertyPaths
-     * @param size
-     * @param height
-     * @param widthOrDuration
-     * @param mimeTypes
-     * @return
-     *
-     * @deprecated use getAllMediaForChildNodes(TaxonNode taxonNode, ...) instead
-     * if you have a classification and a taxon that is in it, you should also have the according taxonNode
-     */
-    @Deprecated
-    public Map<UUID, List<MediaRepresentation>> getAllMediaForChildNodes(Taxon taxon, Classification taxTree, List<String> propertyPaths, int size, int height, int widthOrDuration, String[] mimeTypes);
-
     /**
      *
      * @param taxonNode