commit 5065f99fc4f36478060934a808b581c377d64174
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Fri Feb 17 13:58:55 2017 +0100

    ref #6158 Update documentation from svn to git
    
     - update links from trac to redmine
     - update links to cybertaxonomy.eu
     - increase maven-site-plugin version to 3.3

diff --git a/pom.xml b/pom.xml
index aef3c81b8..97af75122 100644
--- a/pom.xml
+++ b/pom.xml
@@ -1,5 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
   <modelVersion>4.0.0</modelVersion>
   <prerequisites>
     <maven>3.0</maven>
@@ -20,9 +21,9 @@
     <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
     <cdmlib.version>4.6.0-SNAPSHOT</cdmlib.version>
     <!-- TODO can we use project.version ????? -->
-    <!-- Increasing tycho above 0.22.0 will fail for the macosx build
-    because for higher version numbers tycho needs to be build against
-    Eclipse Mars or higher -->
+    <!-- Increasing tycho above 0.22.0 will fail for the macosx build because 
+      for higher version numbers tycho needs to be build against Eclipse Mars or 
+      higher -->
     <tycho.version>0.22.0</tycho.version>
     <taxeditor.version>4.6.0-SNAPSHOT</taxeditor.version>
     <update.dir>snapshot</update.dir>
@@ -45,14 +46,14 @@
     <module>eu.etaxonomy.taxeditor.feature</module>
     <module>eu.etaxonomy.taxeditor.feature.jre.linux64</module>
     <module>eu.etaxonomy.taxeditor</module>
-	<module>eu.etaxonomy.taxeditor.test</module>
+    <module>eu.etaxonomy.taxeditor.test</module>
   </modules>
   <scm>
-    <connection>scm:svn:http://dev.e-taxonomy.eu/svn/trunk/taxeditor/
+    <connection>scm:git:https://dev.e-taxonomy.eu/git/taxeditor.git
     </connection>
-    <developerConnection>scm:svn:https://dev.e-taxonomy.eu/svn/trunk/taxeditor/
+    <developerConnection>scm:git:ssh://git@dev.e-taxonomy.eu/var/git/taxeditor.git
     </developerConnection>
-    <url>https://dev.e-taxonomy.eu/trac/browser/trunk/taxeditor/</url>
+    <url>https://dev.e-taxonomy.eu/gitweb/taxeditor.git/tree</url>
   </scm>
   <mailingLists>
     <mailingList>
@@ -92,7 +93,7 @@
         <role>Java Developer</role>
         <role>Architect</role>
       </roles>
-      <url/>
+      <url />
     </developer>
     <developer>
       <!-- your SVN account id please! -->
@@ -110,12 +111,12 @@
         <role>Java Developer</role>
         <role>Architect</role>
       </roles>
-      <url/>
+      <url />
     </developer>
   </developers>
   <issueManagement>
     <system>Trac</system>
-    <url>http://dev.e-taxonomy.eu/trac/</url>
+    <url>https://dev.e-taxonomy.eu/redmine/projects/edit/</url>
   </issueManagement>
   <ciManagement>
     <system>Jenkins</system>
@@ -271,7 +272,7 @@
       <plugin>
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-site-plugin</artifactId>
-        <version>3.0</version>
+        <version>3.3</version>
         <configuration>
           <locales>en</locales>
         </configuration>
@@ -348,10 +349,9 @@
           <allowUntracked>true</allowUntracked>
         </configuration>
         <dependencies>
-          <!-- 
-                upgrading dependency jsch.agent.version of jgit-flow plugin to 0.1.53 
-                in order have ssl key exchange algorithms compatible with openssh 6.7 
-             -->
+          <!-- upgrading dependency jsch.agent.version of jgit-flow plugin 
+            to 0.1.53 in order have ssl key exchange algorithms compatible with openssh 
+            6.7 -->
           <dependency>
             <groupId>com.jcraft</groupId>
             <artifactId>jsch</artifactId>
diff --git a/src/site/site.xml b/src/site/site.xml
index 1cb522bab..40ad3fe38 100644
--- a/src/site/site.xml
+++ b/src/site/site.xml
@@ -12,19 +12,19 @@
 			<item name="Manual" href="manual.html"/>
 			<!--item name="FAQ" href="faq.html"/-->
 			<item name="Releases" href="changes-report.html"/>
-			<item name="Download" href="http://wp5.e-taxonomy.eu/download/taxeditor/"/>
+			<item name="Download" href="https://cybertaxonomy.eu/download/taxeditor/"/>
 		</menu>
 		<menu name="Developer">
 			<item name="Getting started" href="getting-started.html"/>
 			<item name="Javadocs" href="apidocs/index.html"/>
 			<item name="Troubleshooting" href="troubleshooting.html"/>
-			<item name="Wiki" href="http://dev.e-taxonomy.eu/trac/wiki/TaxonomicEditorDev"/>
+			<item name="Wiki" href="https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/TaxonomicEditorDev"/>
 		</menu>
 		<menu name="Project">
 			<item name="Mailing Lists" href="mail-lists.html"/>
 			<item name="Project Team" href="team-list.html"/>
 			<item name="Continuous Integration" href="integration.html"/>
-			<item name="Issue Tracking" href="http://dev.e-taxonomy.eu/trac/"/>
+			<item name="Issue Tracking" href="https://dev.e-taxonomy.eu/redmine/projects/edit"/>
 			<item name="Source Repository" href="source-repository.html"/>
 			<item name="License" href="license.html"/>
 		</menu>