commit 9b5133b804757d85566681962fd106936785c1a5
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Fri Jul 26 10:00:19 2019 +0200

    ref #8135 re-enable textual type designation

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/CdmFormFactory.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/CdmFormFactory.java
index 146785d7e..5046736f9 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/CdmFormFactory.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/CdmFormFactory.java
@@ -104,6 +104,7 @@ import eu.etaxonomy.cdm.model.name.NameRelationshipType;
 import eu.etaxonomy.cdm.model.name.NameTypeDesignation;
 import eu.etaxonomy.cdm.model.name.NomenclaturalStatus;
 import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignation;
+import eu.etaxonomy.cdm.model.name.TextualTypeDesignation;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.DeterminationEvent;
 import eu.etaxonomy.cdm.model.reference.Reference;
@@ -237,6 +238,7 @@ import eu.etaxonomy.taxeditor.ui.section.name.NonViralNameDetailSection;
 import eu.etaxonomy.taxeditor.ui.section.name.ProtologueElement;
 import eu.etaxonomy.taxeditor.ui.section.name.ProtologueSection;
 import eu.etaxonomy.taxeditor.ui.section.name.SpecimenTypeDesignationElement;
+import eu.etaxonomy.taxeditor.ui.section.name.TextTypeDesignationElement;
 import eu.etaxonomy.taxeditor.ui.section.name.TypeDesignationSection;
 import eu.etaxonomy.taxeditor.ui.section.occurrence.CollectingAreaDetailElement;
 import eu.etaxonomy.taxeditor.ui.section.occurrence.CollectingAreasDetailSection;
@@ -2798,10 +2800,9 @@ public class CdmFormFactory extends FormToolkit {
         } else if (entity instanceof NameTypeDesignation) {
             element = new NameTypeDesignationElement(this, parentElement, (NameTypeDesignation) entity, removeListener,
                     style);
-            // FIXME #8135 temporary disabled textual type designation
-//        } else if (entity instanceof TextualTypeDesignation) {
-//            element = new TextTypeDesignationElement(this, parentElement, (TextualTypeDesignation) entity, removeListener,
-//                    style);
+        } else if (entity instanceof TextualTypeDesignation) {
+            element = new TextTypeDesignationElement(this, parentElement, (TextualTypeDesignation) entity, removeListener,
+                    style);
         } else if (entity instanceof NameRelationship) {
             element = new NameRelationshipDetailElement(this, parentElement, (NameRelationship) entity, removeListener,
                     style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/TypeDesignationSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/TypeDesignationSection.java
index 0a638459b..452f95a44 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/TypeDesignationSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/TypeDesignationSection.java
@@ -31,6 +31,7 @@ import eu.etaxonomy.cdm.model.name.NameTypeDesignation;
 import eu.etaxonomy.cdm.model.name.Rank;
 import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignation;
 import eu.etaxonomy.cdm.model.name.TaxonName;
+import eu.etaxonomy.cdm.model.name.TextualTypeDesignation;
 import eu.etaxonomy.cdm.model.name.TypeDesignationBase;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
 import eu.etaxonomy.taxeditor.editor.ITaxonEditor;
@@ -68,30 +69,29 @@ public class TypeDesignationSection extends AbstractEntityCollectionSection<Taxo
 	@Override
 	protected void addAction(ToolBarManager toolBarManager) {
 
-        // FIXME #8135 temporary disabled textual type designation
-//	    if(PreferencesUtil.getBooleanValue(IPreferenceKeys.SHOW_EXPERIMENTAL_FEATURES)){
-//	        // add textual type designation button
-//	        Action addTextualTypeDesignationAction = new Action("Add", IAction.AS_PUSH_BUTTON){
-//	            @Override
-//	            public void run() {
-//	                TextualTypeDesignation textualTypeDesignation = TextualTypeDesignation.NewInstance();
-//	                addElement(textualTypeDesignation);
-//	                if(! getSection().isExpanded()) {
-//	                    getSection().setExpanded(true);
-//	                }
-//	                internalUpdateSection(true);
-//	            }
-//	        };
-//	        addTextualTypeDesignationAction.setImageDescriptor(new ImageDescriptor() {
-//
-//	            @Override
-//	            public ImageData getImageData() {
-//	                return ImageResources.getImage(ImageResources.ADD_TEXT).getImageData();
-//	            }
-//	        });
-//	        addTextualTypeDesignationAction.setToolTipText("Add textual type designation");
-//	        toolBarManager.add(addTextualTypeDesignationAction);
-//	    }
+	    if(PreferencesUtil.getBooleanValue(IPreferenceKeys.SHOW_EXPERIMENTAL_FEATURES)){
+	        // add textual type designation button
+	        Action addTextualTypeDesignationAction = new Action("Add", IAction.AS_PUSH_BUTTON){
+	            @Override
+	            public void run() {
+	                TextualTypeDesignation textualTypeDesignation = TextualTypeDesignation.NewInstance();
+	                addElement(textualTypeDesignation);
+	                if(! getSection().isExpanded()) {
+	                    getSection().setExpanded(true);
+	                }
+	                internalUpdateSection(true);
+	            }
+	        };
+	        addTextualTypeDesignationAction.setImageDescriptor(new ImageDescriptor() {
+
+	            @Override
+	            public ImageData getImageData() {
+	                return ImageResources.getImage(ImageResources.ADD_TEXT).getImageData();
+	            }
+	        });
+	        addTextualTypeDesignationAction.setToolTipText("Add textual type designation");
+	        toolBarManager.add(addTextualTypeDesignationAction);
+	    }
 
         // clone button
 	    if(!isSpecimenType() ||