commit 5291be06467aaace8e6a8bef365178a8d3ba2dd8
Author: Katja Luther <k.luther@bgbm.org>
Date:   Tue Jan 17 11:46:35 2017 +0100

    minor

diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/operation/RemoveImageFromDescriptionElementOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/operation/RemoveImageFromDescriptionElementOperation.java
index bef1115e9..b79de0f78 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/operation/RemoveImageFromDescriptionElementOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/media/operation/RemoveImageFromDescriptionElementOperation.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -16,9 +16,8 @@ import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.IStatus;
 
 import eu.etaxonomy.cdm.api.utility.ImagesUtility;
-import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
-import eu.etaxonomy.cdm.model.media.ImageFile;
-import eu.etaxonomy.cdm.model.taxon.Taxon;
+import eu.etaxonomy.cdm.model.description.DescriptionBase;
+import eu.etaxonomy.cdm.model.media.Media;
 import eu.etaxonomy.taxeditor.operation.AbstractPostTaxonOperation;
 import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
 
@@ -31,9 +30,9 @@ import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
  * @version 1.0
  */
 public class RemoveImageFromDescriptionElementOperation extends AbstractPostTaxonOperation {
-	
-	private DescriptionElementBase element;
-	private ImageFile image;
+
+	private DescriptionBase element;
+	private Media media;
 
 	/**
 	 * <p>Constructor for RemoveImageFromDescriptionElementOperation.</p>
@@ -43,14 +42,15 @@ public class RemoveImageFromDescriptionElementOperation extends AbstractPostTaxo
 	 * @param element a {@link eu.etaxonomy.cdm.model.description.DescriptionElementBase} object.
 	 * @param postOperationEnabled a {@link eu.etaxonomy.taxeditor.operation.IPostOperationEnabled} object.
 	 * @param label a {@link java.lang.String} object.
+	 * @param config
 	 * @param image a {@link eu.etaxonomy.cdm.model.media.ImageFile} object.
 	 */
 	public RemoveImageFromDescriptionElementOperation(String label,
-			IUndoContext undoContext, Taxon taxon, ImageFile image,
-			DescriptionElementBase element, IPostOperationEnabled postOperationEnabled) {
-		super(label, undoContext, taxon, postOperationEnabled);
-		
-		this.image = image;
+			IUndoContext undoContext, Media media,
+			DescriptionBase element, IPostOperationEnabled postOperationEnabled) {
+		super(label, undoContext, postOperationEnabled);
+
+		this.media = media;
 		this.element = element;
 	}
 
@@ -63,7 +63,7 @@ public class RemoveImageFromDescriptionElementOperation extends AbstractPostTaxo
 			throws ExecutionException {
 
 		monitor.worked(20);
-		ImagesUtility.removeImage(element, image);
+		ImagesUtility.removeMediaFromGallery(element, media);
 		monitor.worked(40);
 
 		return postExecute(element);
@@ -86,7 +86,7 @@ public class RemoveImageFromDescriptionElementOperation extends AbstractPostTaxo
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
-		image = ImagesUtility.addImagePart(element);
-		return postExecute(image);
+		ImagesUtility.addMediaToGallery(element, media);
+		return postExecute(media);
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/MessagingUtils.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/MessagingUtils.java
index 433442235..7133c7271 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/MessagingUtils.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/MessagingUtils.java
@@ -35,7 +35,7 @@ public class MessagingUtils {
     public final static String CONTACT_MESSAGE = System.getProperty("line.separator") +  "Please contact EDIT Support (EditSupport@bgbm.org) with the error trace below (click on the 'Details' button).";
     public final static String DEFAULT_MESSAGE = "Error thrown but no associated message";
     public final static String CONNECTION_FAILURE_MESSAGE = "The connection to the remote server has been broken";
-    public final static String REMOTE_ACCESS_FAILURE_MESSAGE = "Problem accessing remote server";
+    public final static String REMOTE_ACCESS_FAILURE_MESSAGE = "Maybe the server is currently not available. If the problem persists please contact the server admin with the error trace below.";
     public static final String WIDGET_IS_DISPOSED_MESSAGE = "A widget was called, which was already disposed";
 
     /**