commit 5791a9f15472523ac1555a8a24892a7ea847e216
Author: Andreas Kohlbecker <a.kohlbecker@bgbm.org>
Date:   Tue Jul 11 09:35:32 2017 +0200

    ref #6724 converter to deproxy hibernate beans

diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/component/common/TeamOrPersonField.java b/src/main/java/eu/etaxonomy/cdm/vaadin/component/common/TeamOrPersonField.java
index 8115e7a8..7a47a0fc 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/component/common/TeamOrPersonField.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/component/common/TeamOrPersonField.java
@@ -23,6 +23,7 @@ import eu.etaxonomy.cdm.model.agent.Person;
 import eu.etaxonomy.cdm.model.agent.Team;
 import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
 import eu.etaxonomy.cdm.vaadin.security.UserHelper;
+import eu.etaxonomy.cdm.vaadin.util.converter.CdmBaseDeproxyConverter;
 import eu.etaxonomy.vaadin.component.CompositeCustomField;
 import eu.etaxonomy.vaadin.component.SwitchableTextField;
 import eu.etaxonomy.vaadin.component.ToManyRelatedEntitiesListSelect;
@@ -73,6 +74,8 @@ public class TeamOrPersonField extends CompositeCustomField<TeamOrPersonBase<?>>
         addSizedComponent(titleField);
         addSizedComponent(nomenclaturalTitleField);
         addSizedComponent(personsListEditor);
+
+        setConverter(new CdmBaseDeproxyConverter<TeamOrPersonBase<?>>());
     }
 
     /**
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/util/converter/CdmBaseDeproxyConverter.java b/src/main/java/eu/etaxonomy/cdm/vaadin/util/converter/CdmBaseDeproxyConverter.java
new file mode 100644
index 00000000..8bba7d11
--- /dev/null
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/util/converter/CdmBaseDeproxyConverter.java
@@ -0,0 +1,64 @@
+/**
+* Copyright (C) 2017 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.vaadin.util.converter;
+
+
+import java.util.Locale;
+
+import com.vaadin.data.util.converter.Converter;
+
+import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
+import eu.etaxonomy.cdm.model.common.CdmBase;
+
+/**
+ * Converter which cares for deproxing hibernate proxy beans
+ *
+ * @author a.kohlbecker
+ * @since Jul 11, 2017
+ *
+ */
+public class CdmBaseDeproxyConverter<MODEL extends CdmBase> implements Converter<MODEL, MODEL> {
+
+    private static final long serialVersionUID = 1565836754627309870L;
+
+    /**
+     * {@inheritDoc}
+     */
+    @Override
+    public MODEL convertToModel(MODEL value, Class<? extends MODEL> targetType, Locale locale)
+            throws com.vaadin.data.util.converter.Converter.ConversionException {
+        return value;
+    }
+
+    /**
+     * {@inheritDoc}
+     */
+    @Override
+    public MODEL convertToPresentation(MODEL value, Class<? extends MODEL> targetType, Locale locale)
+            throws com.vaadin.data.util.converter.Converter.ConversionException {
+        return HibernateProxyHelper.deproxy(value, targetType);
+    }
+
+    /**
+     * {@inheritDoc}
+     */
+    @Override
+    public Class<MODEL> getModelType() {
+        return (Class<MODEL>)CdmBase.class;
+    }
+
+    /**
+     * {@inheritDoc}
+     */
+    @Override
+    public Class<MODEL> getPresentationType() {
+        return (Class<MODEL>)CdmBase.class;
+    }
+
+}
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationWorkingsetPopupEditor.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationWorkingsetPopupEditor.java
index 73c738d9..496f774e 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationWorkingsetPopupEditor.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationWorkingsetPopupEditor.java
@@ -147,7 +147,7 @@ public class SpecimenTypeDesignationWorkingsetPopupEditor
 
         row++;
 
-        // FIXME: can we use the Grid instaed?
+        // FIXME: can we use the Grid instead?
         typeDesignationsCollectionField = new ElementCollectionField<>(
                 SpecimenTypeDesignationDTO.class,
                 SpecimenTypeDesignationDTORow.class