commit 5987bc1c482057c16ff72fc1b55364df869bebfd
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Wed Feb 7 12:44:13 2018 +0100

    ref #7079, #7076 Add nebula composite table as update site dependency
    
     - after removing the filter for the update site (#7079) the nebula
    composite table can be added as an update site dependency

diff --git a/eu.etaxonomy.taxeditor.cdmlib/.classpath b/eu.etaxonomy.taxeditor.cdmlib/.classpath
index dde32b9a5..ff197977e 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/.classpath
+++ b/eu.etaxonomy.taxeditor.cdmlib/.classpath
@@ -1,6 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry exported="true" kind="lib" path="lib/org.eclipse.nebula.widgets.compositetable_1.0.0.201711021145.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/lucene-suggest-5.4.1.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/lucene-sandbox-5.4.1.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/lucene-analyzers-common-5.4.1.jar"/>
diff --git a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
index c51d1e3a9..0030a681f 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
@@ -408,7 +408,6 @@ Export-Package: com.google.api,
  org.apache.lucene.util.packed,
  org.apache.sanselan;uses:="org.apache.sanselan.common,org.apache.sanselan.common.byteSources",
  org.apache.xerces.dom,
- org.eclipse.nebula.widgets.compositetable,
  org.h2.jdbc,
  org.hamcrest,
  org.hibernate,
@@ -861,6 +860,5 @@ Bundle-ClassPath: .,
  lib/lucene-analyzers-3.6.2.jar,
  lib/lucene-analyzers-common-5.4.1.jar,
  lib/lucene-sandbox-5.4.1.jar,
- lib/lucene-suggest-5.4.1.jar,
- lib/org.eclipse.nebula.widgets.compositetable_1.0.0.201711021145.jar
+ lib/lucene-suggest-5.4.1.jar
 Import-Package: eu.etaxonomy.cdm.api.application
diff --git a/eu.etaxonomy.taxeditor.cdmlib/build.properties b/eu.etaxonomy.taxeditor.cdmlib/build.properties
index dd867b4b8..793e33299 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/build.properties
+++ b/eu.etaxonomy.taxeditor.cdmlib/build.properties
@@ -220,8 +220,7 @@ bin.includes = META-INF/,\
                lib/lucene-analyzers-3.6.2.jar,\
                lib/lucene-analyzers-common-5.4.1.jar,\
                lib/lucene-sandbox-5.4.1.jar,\
-               lib/lucene-suggest-5.4.1.jar,\
-               lib/org.eclipse.nebula.widgets.compositetable_1.0.0.201711021145.jar
+               lib/lucene-suggest-5.4.1.jar
 
 jars.compile.order = .
 output.. = bin/
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/org.eclipse.nebula.widgets.compositetable_1.0.0.201711021145.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/org.eclipse.nebula.widgets.compositetable_1.0.0.201711021145.jar
deleted file mode 100644
index e3d917c4e..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/org.eclipse.nebula.widgets.compositetable_1.0.0.201711021145.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
index 126ce0a22..e376141f7 100644
--- a/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
@@ -89,7 +89,8 @@ Require-Bundle: org.eclipse.osgi,
  org.eclipse.e4.ui.model.workbench;bundle-version="1.2.0",
  org.eclipse.e4.core.contexts;bundle-version="1.5.1",
  org.eclipse.osgi.services,
- org.eclipse.e4.core.services
+ org.eclipse.e4.core.services,
+ org.eclipse.nebula.widgets.compositetable;bundle-version="1.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: eu.etaxonomy.taxeditor.webapp,
diff --git a/eu.etaxonomy.taxeditor/rcp.target b/eu.etaxonomy.taxeditor/rcp.target
index 2b7c76d1b..00d154427 100644
--- a/eu.etaxonomy.taxeditor/rcp.target
+++ b/eu.etaxonomy.taxeditor/rcp.target
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<?pde version="3.8"?><target includeMode="feature" name="Eclipse Neon Target" sequenceNumber="46">
+<?pde version="3.8"?><target includeMode="feature" name="Eclipse Neon Target" sequenceNumber="47">
 <locations>
 <location includeAllPlatforms="false" includeConfigurePhase="true" includeMode="planner" includeSource="true" type="InstallableUnit">
 <unit id="org.eclipse.equinox.sdk.feature.group" version="3.12.0.v20170209-1843"/>
@@ -69,6 +69,10 @@
 <unit id="org.eclipse.oomph.setup.sdk.feature.group" version="1.7.0.v20170305-1123"/>
 <repository location="http://download.eclipse.org/releases/neon"/>
 </location>
+<location includeAllPlatforms="false" includeConfigurePhase="true" includeMode="planner" includeSource="true" type="InstallableUnit">
+<unit id="org.eclipse.nebula.widgets.compositetable.feature.feature.group" version="1.0.0.201711021145"/>
+<repository location="http://download.eclipse.org/nebula/releases/latest/"/>
+</location>
 </locations>
 <includeBundles>
 <feature id="org.eclipse.core.runtime.feature"/>
@@ -168,6 +172,7 @@
 <feature id="org.eclipse.help.source"/>
 <feature id="org.eclipse.jdt"/>
 <feature id="org.eclipse.jdt.source"/>
+<feature id="org.eclipse.nebula.widgets.compositetable.feature"/>
 <feature id="org.eclipse.nebula.widgets.nattable.core.feature"/>
 <feature id="org.eclipse.nebula.widgets.nattable.core.source.feature"/>
 <feature id="org.eclipse.nebula.widgets.nattable.extension.e4.feature"/>